<!DOCTYPE html>
<html>
<head>
	<title> Task1 </title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
</head>
<body style="background-color:black;">
<meta name="viewport" content="width=device-width, initial-scale=1">
<h2 class="task">Task 1</h2>
<canvas id="myCanvas" width="940" height="510"
style="border:1px solid #d3d3d3; margin-top:0%;  background-color:white;">
Your browser does not support the HTML5 canvas tag.
</canvas>
<p class="task_question">drag the correct part of the heart to it's position in the image.</p>

<!--Aorta-->
<div class="droptargetin1">
<div class="parts-in" ondragstart="dragStart(event)" draggable="true" id="aorta">
  <p class="parts" >Aorta</p>
</div>
</div>

<div class="droptargetout1" ondrop="drop(event)" ondragover="allowDrop(event)" id="aorta"></div>
<!--tricuspid valve-->
<div class="droptargetin2">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="tricuspid-valve">
  <p class="parts">tricuspid valve</p>
</div>
</div>

<div class="droptargetout2" ondrop="drop(event)" ondragover="allowDrop(event)" id="tricuspid-valve"></div>
<!--inferior vena cava-->
<div class="droptargetin3">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="inferior-vena-cava">
  <p class="parts">inferior vena cava</p>
</div>
</div>

<div class="droptargetout3" ondrop="drop(event)" ondragover="allowDrop(event)" id="inferior-vena-cava"></div>
<!--left pulmonary artery-->
<div class="droptargetin4">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="left-pulmonary-artery">
  <p class="parts">left pulmonary artery</p>
</div>
</div>

<div class="droptargetout4" ondrop="drop(event)" ondragover="allowDrop(event)" id="left-pulmonary-artery"></div>
<!--right ventricle-->
<div class="droptargetin5">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="right-ventricle">
  <p class="parts">right ventricle</p>
</div>
</div>

<div class="droptargetout5" ondrop="drop(event)" ondragover="allowDrop(event)" id="right-ventricle"></div>
<!--superior vena cava-->
<div class="droptargetin6">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="superior-vena-cava">
  <p class="parts">superior vena cava</p>
</div>
</div>

<div class="droptargetout6" ondrop="drop(event)" ondragover="allowDrop(event)" id="superior-vena-cava"></div>
<!--right atrium-->
<div class="droptargetin7">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="right-atrium">
  <p class="parts">right atrium</p>
</div>
</div>

<div class="droptargetout7" ondrop="drop(event)" ondragover="allowDrop(event)" id="right-atrium"></div>
<!--pulmonary veins-->
<div class="droptargetin8">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="pulmonary-veins">
  <p class="parts">pulmonary veins</p>
</div>
</div>

<div class="droptargetout8" ondrop="drop(event)" ondragover="allowDrop(event)" id="pulmonary-veins"></div>
<!--left atrium-->
<div class="droptargetin9">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="left-atrium">
  <p class="parts">left atrium</p>
</div>
</div>

<div class="droptargetout9" ondrop="drop(event)" ondragover="allowDrop(event)" id="left-atrium"></div>
<!--left ventricle-->
<div class="droptargetin10">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="left-ventricle">
  <p class="parts">left ventricle</p>
</div>
</div>

<div class="droptargetout10" ondrop="drop(event)" ondragover="allowDrop(event)" id="left-ventricle"></div>
<!--biscuspid valve-->
<div class="droptargetin11">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="biscuspid-valve">
  <p class="parts">biscuspid valve</p>
</div>
</div>

<div class="droptargetout11" ondrop="drop(event)" ondragover="allowDrop(event)" id="biscuspid-valve"></div>
<!--semi lunar valves-->
<div class="droptargetin12">
<div class="parts-in" ondrop="drop(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" id="semi-lunar-valves">
  <p class="parts">semi lunar valves</p>
</div>
</div>

<div class="droptargetout12" ondrop="drop(event)" ondragover="allowDrop(event)" id="semi-lunar-valves"></div>

<a href="task2.html"><img class="icon" src="https://img.icons8.com/flat-round/64/000000/fast-forward--v1.png"/></a>
<script>
var c = document.getElementById("myCanvas");
var ctx = c.getContext("2d");
var count=0;
var page1="null";
page2=sessionStorage.getItem("page2");
page3=sessionStorage.getItem("page3");
console.log(page1,page2,page3);
make_base();
function make_base() {
var img= new Image();
img.src='img/heartfinal.jpg';

img.onload=function(){
	ctx.drawImage(img,0,0,740,490);
	<!--Aorta-->
	ctx.beginPath();
	ctx.moveTo(360, 65);
	ctx.lineTo(520, 65);
	ctx.stroke();
	
	<!--left pulmonary artery-->
	ctx.beginPath();
	ctx.moveTo(440, 120);
	ctx.lineTo(520, 120);
	ctx.stroke();
	
	<!--pulmonary veins-->
	ctx.beginPath();
	ctx.moveTo(520, 180);
	ctx.lineTo(550, 180);
	ctx.stroke();
	
	<!--left atrium-->
	ctx.beginPath();
	ctx.moveTo(440, 220);
	ctx.lineTo(540, 220);
	ctx.stroke();
	
	<!--biscuspid valve/mitral valve-->
	ctx.beginPath();
	ctx.moveTo(460, 260);
	ctx.lineTo(550, 260);
	ctx.stroke();
	
	<!--left ventricle-->
	ctx.beginPath();
	ctx.moveTo(480, 360);
	ctx.lineTo(580, 360);
	ctx.stroke();
	
	<!--inferior vena cava-->
	ctx.beginPath();
	ctx.moveTo(250, 390);
	ctx.lineTo(180, 390);
	ctx.stroke();
	
	<!--right ventricle-->
	ctx.beginPath();
	ctx.moveTo(290, 360);
	ctx.lineTo(180, 360);
	ctx.stroke();
	
	<!--tricuspid valve-->
	ctx.beginPath();
	ctx.moveTo(290, 310);
	ctx.lineTo(180, 310);
	ctx.stroke();
	
	<!--right atrium-->
	ctx.beginPath();
	ctx.moveTo(250, 270);
	ctx.lineTo(180, 270);
	ctx.stroke();
	
	<!--semi lunar valves-->
	ctx.beginPath();
	ctx.moveTo(340, 230);
	ctx.lineTo(170, 230);
	ctx.stroke();
	
	<!--superior vena cava-->
	ctx.beginPath();
	ctx.moveTo(250, 130);
	ctx.lineTo(180, 130);
	ctx.stroke();
}
}

function dragStart(event) {
  event.dataTransfer.setData("text", event.target.id);
}

function allowDrop(event) {
  event.preventDefault();
}

function drop(event) {
  event.preventDefault();
  var data = event.dataTransfer.getData("text");
  if ( data == event.target.id) {
		   event.target.appendChild(document.getElementById(data));
		   ++count;
		   var count1 = count;
			console.log(count1);
			
		   if(count==12){
		   page1="t1";
		   sessionStorage.setItem("page3",page3);
		sessionStorage.setItem("page1",page1);
		sessionStorage.setItem("page2",page2);
		console.log(page1,page2,page3);
			if(page1=="t1"&&page2=="null"&&page3=="null"||page1=="t1"&&page2!="t2"&&page3!="t3"){
				window.location.replace("bronze.html");
			}
			else if(page1=="t1"&&page2=="t2"&&page3=="null"){
				window.location.replace("silver.html");
			}
			else if(page1=="t1"&&page2=="t2"&&page3=="t3"){
				window.location.replace("gold.html");
			}
			else if(page1=="t1"&&page2=="null"&&page3=="t3"){
				window.location.replace("silver.html");
			}
	
		
		   }
    }
  
}




</script>

</body>
</html>